> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Active Agent Configuration

> Get the current active configuration for an agent



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/agent-configurations/agent/{agentId}
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/agent-configurations/agent/{agentId}:
    get:
      tags:
        - Agent Config
      summary: Get Active Agent Configuration
      description: Get the current active configuration for an agent
      operationId: getActiveAgentConfiguration
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: agentId
          required: true
      responses:
        '200':
          description: A configuration version for an agent
          content:
            application/json:
              schema:
                type: object
                description: A configuration version for an agent
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier
                  agent_id:
                    type: string
                    format: uuid
                    description: Parent agent ID
                  variant:
                    type: string
                    maxLength: 255
                    description: Config variant name
                  version:
                    type: integer
                    description: Global config version number (increments for any change)
                  variant_version:
                    type: integer
                    description: Variant-specific version number (increments per variant)
                  schema_version:
                    type: integer
                    description: Schema version number
                  schema:
                    type: object
                    additionalProperties: true
                    description: JSON Schema for config values
                  value:
                    type: object
                    additionalProperties: true
                    description: Config values
                  created_at:
                    type: string
                    format: date-time
                    description: Creation timestamp
                  updated_at:
                    type: string
                    format: date-time
                    description: Last update timestamp
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````